namespace SmartBowSDK
{
    public abstract class AxisBaseHandler_SDK
    {
        protected AimHandler_SDK m_aimHandler;
        public AxisBaseHandler_SDK(AimHandler_SDK aimHandler)
        {
            m_aimHandler = aimHandler;
        }
        public abstract void Init();
        public abstract void Update(byte[] bytes);
        public abstract void DoIdentity();
        public abstract void NotifyAxisOnShot();
        public abstract void StartGyrCalibration();
        public abstract void StopGyrCalibration();
        public abstract bool IsGyrCalibrating();
        public abstract float GetGyrProgress();
        public abstract bool IsGyrCompleted();
        public abstract void StartMagCalibration();
        public abstract bool IsMagCompleted();
        public abstract void SaveCalibrateRecord();
        public abstract void ResumeCalibrateRecord(string record);
    }
}